curl --request PATCH \
--url https://api.siftstack.com/api/v1/automation-triggers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"automationTrigger": {
"automationTriggerId": "<string>",
"organizationId": "<string>",
"canvasId": "<string>",
"name": "<string>",
"matchFilter": {
"assetIds": [
"<string>"
],
"metadataMatches": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"userId": "<string>",
"actionKind": "AUTOMATION_TRIGGER_ACTION_KIND_UNSPECIFIED",
"isEnabled": true,
"isArchived": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"emailNotificationsEnabled": true,
"notificationRecipientEmails": [
"<string>"
],
"actionParams": {},
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/automation-triggers"
payload = {
"automationTrigger": {
"automationTriggerId": "<string>",
"organizationId": "<string>",
"canvasId": "<string>",
"name": "<string>",
"matchFilter": {
"assetIds": ["<string>"],
"metadataMatches": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"userId": "<string>",
"actionKind": "AUTOMATION_TRIGGER_ACTION_KIND_UNSPECIFIED",
"isEnabled": True,
"isArchived": True,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"emailNotificationsEnabled": True,
"notificationRecipientEmails": ["<string>"],
"actionParams": {},
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/automation-triggers"
payload := strings.NewReader("{\n \"automationTrigger\": {\n \"automationTriggerId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"canvasId\": \"<string>\",\n \"name\": \"<string>\",\n \"matchFilter\": {\n \"assetIds\": [\n \"<string>\"\n ],\n \"metadataMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n },\n \"userId\": \"<string>\",\n \"actionKind\": \"AUTOMATION_TRIGGER_ACTION_KIND_UNSPECIFIED\",\n \"isEnabled\": true,\n \"isArchived\": true,\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"emailNotificationsEnabled\": true,\n \"notificationRecipientEmails\": [\n \"<string>\"\n ],\n \"actionParams\": {},\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"automationTrigger": {
"automationTriggerId": "<string>",
"organizationId": "<string>",
"canvasId": "<string>",
"name": "<string>",
"matchFilter": {
"assetIds": [
"<string>"
],
"nameMatch": {
"kind": "AUTOMATION_TRIGGER_RUN_NAME_MATCH_KIND_UNSPECIFIED",
"value": "<string>"
},
"metadataMatches": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"userId": "<string>",
"actionKind": "AUTOMATION_TRIGGER_ACTION_KIND_UNSPECIFIED",
"isEnabled": true,
"isArchived": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"emailNotificationsEnabled": true,
"notificationRecipientEmails": [
"<string>"
],
"actionParams": {
"canvasEvaluation": {
"canvasVersionId": "<string>",
"paramJson": {}
}
},
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}UpdateAutomationTrigger
Update select fields of an existing automation trigger.
curl --request PATCH \
--url https://api.siftstack.com/api/v1/automation-triggers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"automationTrigger": {
"automationTriggerId": "<string>",
"organizationId": "<string>",
"canvasId": "<string>",
"name": "<string>",
"matchFilter": {
"assetIds": [
"<string>"
],
"metadataMatches": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"userId": "<string>",
"actionKind": "AUTOMATION_TRIGGER_ACTION_KIND_UNSPECIFIED",
"isEnabled": true,
"isArchived": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"emailNotificationsEnabled": true,
"notificationRecipientEmails": [
"<string>"
],
"actionParams": {},
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/automation-triggers"
payload = {
"automationTrigger": {
"automationTriggerId": "<string>",
"organizationId": "<string>",
"canvasId": "<string>",
"name": "<string>",
"matchFilter": {
"assetIds": ["<string>"],
"metadataMatches": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"userId": "<string>",
"actionKind": "AUTOMATION_TRIGGER_ACTION_KIND_UNSPECIFIED",
"isEnabled": True,
"isArchived": True,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"emailNotificationsEnabled": True,
"notificationRecipientEmails": ["<string>"],
"actionParams": {},
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/automation-triggers"
payload := strings.NewReader("{\n \"automationTrigger\": {\n \"automationTriggerId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"canvasId\": \"<string>\",\n \"name\": \"<string>\",\n \"matchFilter\": {\n \"assetIds\": [\n \"<string>\"\n ],\n \"metadataMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n },\n \"userId\": \"<string>\",\n \"actionKind\": \"AUTOMATION_TRIGGER_ACTION_KIND_UNSPECIFIED\",\n \"isEnabled\": true,\n \"isArchived\": true,\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"emailNotificationsEnabled\": true,\n \"notificationRecipientEmails\": [\n \"<string>\"\n ],\n \"actionParams\": {},\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"automationTrigger": {
"automationTriggerId": "<string>",
"organizationId": "<string>",
"canvasId": "<string>",
"name": "<string>",
"matchFilter": {
"assetIds": [
"<string>"
],
"nameMatch": {
"kind": "AUTOMATION_TRIGGER_RUN_NAME_MATCH_KIND_UNSPECIFIED",
"value": "<string>"
},
"metadataMatches": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"userId": "<string>",
"actionKind": "AUTOMATION_TRIGGER_ACTION_KIND_UNSPECIFIED",
"isEnabled": true,
"isArchived": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"emailNotificationsEnabled": true,
"notificationRecipientEmails": [
"<string>"
],
"actionParams": {
"canvasEvaluation": {
"canvasVersionId": "<string>",
"paramJson": {}
}
},
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The request for a call to AutomationService_UpdateAutomationTrigger.
Fields apply only when named in update_mask. Archive by setting
archived_date in the mask; unarchive by clearing it.
The request for a call to AutomationService_UpdateAutomationTrigger.
Fields apply only when named in update_mask. Archive by setting
archived_date in the mask; unarchive by clearing it.
Response
A successful response.
The response of a call to AutomationService_UpdateAutomationTrigger.
AutomationTrigger is a Canvas Scheduler rule: match a stopped run, then dispatch (v1: EvaluateCanvas).
Show child attributes
Show child attributes
Was this page helpful?